%global qt_module qtcharts

Summary: Qt5 - Charts component
Name:    qt5-%{qt_module}
Version: 5.9.0
Release: 1%{?dist}

License: GPLv3
Url:     http://www.qt.io
Source0: https://download.qt.io/official_releases/qt/5.9/5.9.0/submodules/qtcharts-opensource-src-5.9.0.tar.xz

BuildRequires: qt5-qtbase-devel >= %{version}
BuildRequires: pkgconfig(Qt5Qml) >= %{version}

%description
Qt Charts module provides a set of easy to use chart components. It uses the Qt Graphics View Framework, therefore charts can be easily
integrated to modern user interfaces. Qt Charts can be used as QWidgets, QGraphicsWidget, or QML types.
Users can easily create impressive graphs by selecting one of the charts themes.

%package devel
Summary: Development files for %{name}
Requires: qt5-qtbase-devel%{?_isa}
%description devel
%{summary}.

%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description examples
%{summary}.


%prep
%setup -q -n %{qt_module}-opensource-src-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} .. \
  %{?_qt5_examplesdir:CONFIG+=qt_example_installs}

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE.GPL3
%{_qt5_libdir}/libQt5Charts.so.5*
%{_qt5_qmldir}/QtCharts

%files devel
%{_qt5_headerdir}/QtCharts/
%{_qt5_libdir}/libQt5Charts.so
%{_qt5_libdir}/libQt5Charts.prl
%dir %{_qt5_libdir}/cmake/Qt5Charts/
%{_qt5_libdir}/cmake/Qt5Charts
%{_qt5_libdir}/pkgconfig/Qt5Charts.pc
%{_qt5_prefix}/mkspecs/modules/*
%exclude %{_qt5_libdir}/libQt5Charts.la

%files examples
%{_qt5_examplesdir}/


%changelog
* Wed May 31 2017 Helio Chissini de Castro <helio@kde.org> - 5.9.0-1
- Upstream official release

* Fri May 26 2017 Helio Chissini de Castro <helio@kde.org> - 5.9.0-0.1.rc
- Upstream Release Candidate retagged

* Tue May 09 2017 Helio Chissini de Castro <helio@kde.org> - 5.9.0-0.beta.3
- Upstream beta 3

* Wed Feb 01 2017 Helio Chissini de Castro <helio@kde.org> - 5.8.0-1
- New upstream version

* Thu Nov 10 2016 Helio Chissini de Castro <helio@kde.org> - 5.7.1-1
- New upstream version

* Tue Jul 05 2016 Helio Chissini de Castro <helio@kde.org> - 5.7.0-1
- New Qt 5.7.0 package
